TLockStat (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TLockStat

- java.lang.Object
- - com.sleepycat.thrift.TLockStat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TLockStat>, org.apache.thrift.TBase<TLockStat,TLockStat._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TLockStat
      extends java.lang.Object
      implements org.apache.thrift.TBase<TLockStat,TLockStat._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TLockStat>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TLockStat._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `curMaxId`
    `int` | `hashLen`
    `int` | `id`
    `int` | `initlockers`
    `int` | `initlocks`
    `int` | `initobjects`
    `int` | `lockers`
    `long` | `lockersNowait`
    `long` | `lockersWait`
    `long` | `lockNowait`
    `int` | `locks`
    `long` | `locksteals`
    `int` | `lockTimeout`
    `long` | `lockWait`
    `int` | `maxHlocks`
    `int` | `maxHobjects`
    `int` | `maxLockers`
    `int` | `maxLocks`
    `long` | `maxLsteals`
    `int` | `maxNlockers`
    `int` | `maxNlocks`
    `int` | `maxNobjects`
    `int` | `maxObjects`
    `long` | `maxOsteals`
    `static java.util.Map<TLockStat._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `int` | `nobjects`
    `long` | `numDeadlocks`
    `long` | `numDowngrade`
    `int` | `numLockers`
    `long` | `numLockersHit`
    `long` | `numLockersReused`
    `int` | `numLocks`
    `long` | `numLockTimeouts`
    `int` | `numModes`
    `long` | `numReleases`
    `long` | `numRequests`
    `long` | `numTxnTimeouts`
    `long` | `numUpgrade`
    `int` | `objects`
    `long` | `objectsteals`
    `long` | `objsNowait`
    `long` | `objsWait`
    `int` | `partitions`
    `long` | `partMaxNowait`
    `long` | `partMaxWait`
    `long` | `partNowait`
    `long` | `partWait`
    `long` | `regionNowait`
    `long` | `regionWait`
    `long` | `regSize`
    `int` | `tableSize`
    `int` | `txnTimeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TLockStat()`
    `TLockStat(int curMaxId, int hashLen, int id, int initlockers, int initlocks, int initobjects, int lockers, long lockersNowait, long lockersWait, long lockNowait, int locks, long locksteals, int lockTimeout, long lockWait, int maxHlocks, int maxHobjects, int maxLockers, int maxLocks, long maxLsteals, int maxNlockers, int maxNlocks, int maxNobjects, int maxObjects, long maxOsteals, long numDeadlocks, long numDowngrade, int numLockers, long numLockersHit, long numLockersReused, int numLocks, long numLockTimeouts, int numModes, int nobjects, long numReleases, long numRequests, long numTxnTimeouts, long numUpgrade, int objects, long objectsteals, long objsNowait, long objsWait, int partitions, long partMaxNowait, long partMaxWait, long partNowait, long partWait, long regionNowait, long regionWait, long regSize, int tableSize, int txnTimeout)`
    `TLockStat(TLockStat other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TLockStat other)`
    `TLockStat` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TLockStat that)`
    `TLockStat._Fields` | `fieldForId(int fieldId)`
    `int` | `getCurMaxId()`
    `java.lang.Object` | `getFieldValue(TLockStat._Fields field)`
    `int` | `getHashLen()`
    `int` | `getId()`
    `int` | `getInitlockers()`
    `int` | `getInitlocks()`
    `int` | `getInitobjects()`
    `int` | `getLockers()`
    `long` | `getLockersNowait()`
    `long` | `getLockersWait()`
    `long` | `getLockNowait()`
    `int` | `getLocks()`
    `long` | `getLocksteals()`
    `int` | `getLockTimeout()`
    `long` | `getLockWait()`
    `int` | `getMaxHlocks()`
    `int` | `getMaxHobjects()`
    `int` | `getMaxLockers()`
    `int` | `getMaxLocks()`
    `long` | `getMaxLsteals()`
    `int` | `getMaxNlockers()`
    `int` | `getMaxNlocks()`
    `int` | `getMaxNobjects()`
    `int` | `getMaxObjects()`
    `long` | `getMaxOsteals()`
    `int` | `getNobjects()`
    `long` | `getNumDeadlocks()`
    `long` | `getNumDowngrade()`
    `int` | `getNumLockers()`
    `long` | `getNumLockersHit()`
    `long` | `getNumLockersReused()`
    `int` | `getNumLocks()`
    `long` | `getNumLockTimeouts()`
    `int` | `getNumModes()`
    `long` | `getNumReleases()`
    `long` | `getNumRequests()`
    `long` | `getNumTxnTimeouts()`
    `long` | `getNumUpgrade()`
    `int` | `getObjects()`
    `long` | `getObjectsteals()`
    `long` | `getObjsNowait()`
    `long` | `getObjsWait()`
    `int` | `getPartitions()`
    `long` | `getPartMaxNowait()`
    `long` | `getPartMaxWait()`
    `long` | `getPartNowait()`
    `long` | `getPartWait()`
    `long` | `getRegionNowait()`
    `long` | `getRegionWait()`
    `long` | `getRegSize()`
    `int` | `getTableSize()`
    `int` | `getTxnTimeout()`
    `int` | `hashCode()`
    `boolean` | `isSet(TLockStat._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetCurMaxId()` Returns true if field curMaxId is set (has been assigned a value) and false otherwise
    `boolean` | `isSetHashLen()` Returns true if field hashLen is set (has been assigned a value) and false otherwise
    `boolean` | `isSetId()` Returns true if field id is set (has been assigned a value) and false otherwise
    `boolean` | `isSetInitlockers()` Returns true if field initlockers is set (has been assigned a value) and false otherwise
    `boolean` | `isSetInitlocks()` Returns true if field initlocks is set (has been assigned a value) and false otherwise
    `boolean` | `isSetInitobjects()` Returns true if field initobjects is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLockers()` Returns true if field lockers is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLockersNowait()` Returns true if field lockersNowait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLockersWait()` Returns true if field lockersWait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLockNowait()` Returns true if field lockNowait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLocks()` Returns true if field locks is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLocksteals()` Returns true if field locksteals is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLockTimeout()` Returns true if field lockTimeout is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLockWait()` Returns true if field lockWait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMaxHlocks()` Returns true if field maxHlocks is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMaxHobjects()` Returns true if field maxHobjects is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMaxLockers()` Returns true if field maxLockers is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMaxLocks()` Returns true if field maxLocks is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMaxLsteals()` Returns true if field maxLsteals is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMaxNlockers()` Returns true if field maxNlockers is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMaxNlocks()` Returns true if field maxNlocks is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMaxNobjects()` Returns true if field maxNobjects is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMaxObjects()` Returns true if field maxObjects is set (has been assigned a value) and false otherwise
    `boolean` | `isSetMaxOsteals()` Returns true if field maxOsteals is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNobjects()` Returns true if field nobjects is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumDeadlocks()` Returns true if field numDeadlocks is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumDowngrade()` Returns true if field numDowngrade is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumLockers()` Returns true if field numLockers is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumLockersHit()` Returns true if field numLockersHit is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumLockersReused()` Returns true if field numLockersReused is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumLocks()` Returns true if field numLocks is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumLockTimeouts()` Returns true if field numLockTimeouts is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumModes()` Returns true if field numModes is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumReleases()` Returns true if field numReleases is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumRequests()` Returns true if field numRequests is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumTxnTimeouts()` Returns true if field numTxnTimeouts is set (has been assigned a value) and false otherwise
    `boolean` | `isSetNumUpgrade()` Returns true if field numUpgrade is set (has been assigned a value) and false otherwise
    `boolean` | `isSetObjects()` Returns true if field objects is set (has been assigned a value) and false otherwise
    `boolean` | `isSetObjectsteals()` Returns true if field objectsteals is set (has been assigned a value) and false otherwise
    `boolean` | `isSetObjsNowait()` Returns true if field objsNowait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetObjsWait()` Returns true if field objsWait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPartitions()` Returns true if field partitions is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPartMaxNowait()` Returns true if field partMaxNowait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPartMaxWait()` Returns true if field partMaxWait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPartNowait()` Returns true if field partNowait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPartWait()` Returns true if field partWait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRegionNowait()` Returns true if field regionNowait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRegionWait()` Returns true if field regionWait is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRegSize()` Returns true if field regSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetTableSize()` Returns true if field tableSize is set (has been assigned a value) and false otherwise
    `boolean` | `isSetTxnTimeout()` Returns true if field txnTimeout is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `TLockStat` | `setCurMaxId(int curMaxId)`
    `void` | `setCurMaxIdIsSet(boolean value)`
    `void` | `setFieldValue(TLockStat._Fields field, java.lang.Object value)`
    `TLockStat` | `setHashLen(int hashLen)`
    `void` | `setHashLenIsSet(boolean value)`
    `TLockStat` | `setId(int id)`
    `void` | `setIdIsSet(boolean value)`
    `TLockStat` | `setInitlockers(int initlockers)`
    `void` | `setInitlockersIsSet(boolean value)`
    `TLockStat` | `setInitlocks(int initlocks)`
    `void` | `setInitlocksIsSet(boolean value)`
    `TLockStat` | `setInitobjects(int initobjects)`
    `void` | `setInitobjectsIsSet(boolean value)`
    `TLockStat` | `setLockers(int lockers)`
    `void` | `setLockersIsSet(boolean value)`
    `TLockStat` | `setLockersNowait(long lockersNowait)`
    `void` | `setLockersNowaitIsSet(boolean value)`
    `TLockStat` | `setLockersWait(long lockersWait)`
    `void` | `setLockersWaitIsSet(boolean value)`
    `TLockStat` | `setLockNowait(long lockNowait)`
    `void` | `setLockNowaitIsSet(boolean value)`
    `TLockStat` | `setLocks(int locks)`
    `void` | `setLocksIsSet(boolean value)`
    `TLockStat` | `setLocksteals(long locksteals)`
    `void` | `setLockstealsIsSet(boolean value)`
    `TLockStat` | `setLockTimeout(int lockTimeout)`
    `void` | `setLockTimeoutIsSet(boolean value)`
    `TLockStat` | `setLockWait(long lockWait)`
    `void` | `setLockWaitIsSet(boolean value)`
    `TLockStat` | `setMaxHlocks(int maxHlocks)`
    `void` | `setMaxHlocksIsSet(boolean value)`
    `TLockStat` | `setMaxHobjects(int maxHobjects)`
    `void` | `setMaxHobjectsIsSet(boolean value)`
    `TLockStat` | `setMaxLockers(int maxLockers)`
    `void` | `setMaxLockersIsSet(boolean value)`
    `TLockStat` | `setMaxLocks(int maxLocks)`
    `void` | `setMaxLocksIsSet(boolean value)`
    `TLockStat` | `setMaxLsteals(long maxLsteals)`
    `void` | `setMaxLstealsIsSet(boolean value)`
    `TLockStat` | `setMaxNlockers(int maxNlockers)`
    `void` | `setMaxNlockersIsSet(boolean value)`
    `TLockStat` | `setMaxNlocks(int maxNlocks)`
    `void` | `setMaxNlocksIsSet(boolean value)`
    `TLockStat` | `setMaxNobjects(int maxNobjects)`
    `void` | `setMaxNobjectsIsSet(boolean value)`
    `TLockStat` | `setMaxObjects(int maxObjects)`
    `void` | `setMaxObjectsIsSet(boolean value)`
    `TLockStat` | `setMaxOsteals(long maxOsteals)`
    `void` | `setMaxOstealsIsSet(boolean value)`
    `TLockStat` | `setNobjects(int nobjects)`
    `void` | `setNobjectsIsSet(boolean value)`
    `TLockStat` | `setNumDeadlocks(long numDeadlocks)`
    `void` | `setNumDeadlocksIsSet(boolean value)`
    `TLockStat` | `setNumDowngrade(long numDowngrade)`
    `void` | `setNumDowngradeIsSet(boolean value)`
    `TLockStat` | `setNumLockers(int numLockers)`
    `TLockStat` | `setNumLockersHit(long numLockersHit)`
    `void` | `setNumLockersHitIsSet(boolean value)`
    `void` | `setNumLockersIsSet(boolean value)`
    `TLockStat` | `setNumLockersReused(long numLockersReused)`
    `void` | `setNumLockersReusedIsSet(boolean value)`
    `TLockStat` | `setNumLocks(int numLocks)`
    `void` | `setNumLocksIsSet(boolean value)`
    `TLockStat` | `setNumLockTimeouts(long numLockTimeouts)`
    `void` | `setNumLockTimeoutsIsSet(boolean value)`
    `TLockStat` | `setNumModes(int numModes)`
    `void` | `setNumModesIsSet(boolean value)`
    `TLockStat` | `setNumReleases(long numReleases)`
    `void` | `setNumReleasesIsSet(boolean value)`
    `TLockStat` | `setNumRequests(long numRequests)`
    `void` | `setNumRequestsIsSet(boolean value)`
    `TLockStat` | `setNumTxnTimeouts(long numTxnTimeouts)`
    `void` | `setNumTxnTimeoutsIsSet(boolean value)`
    `TLockStat` | `setNumUpgrade(long numUpgrade)`
    `void` | `setNumUpgradeIsSet(boolean value)`
    `TLockStat` | `setObjects(int objects)`
    `void` | `setObjectsIsSet(boolean value)`
    `TLockStat` | `setObjectsteals(long objectsteals)`
    `void` | `setObjectstealsIsSet(boolean value)`
    `TLockStat` | `setObjsNowait(long objsNowait)`
    `void` | `setObjsNowaitIsSet(boolean value)`
    `TLockStat` | `setObjsWait(long objsWait)`
    `void` | `setObjsWaitIsSet(boolean value)`
    `TLockStat` | `setPartitions(int partitions)`
    `void` | `setPartitionsIsSet(boolean value)`
    `TLockStat` | `setPartMaxNowait(long partMaxNowait)`
    `void` | `setPartMaxNowaitIsSet(boolean value)`
    `TLockStat` | `setPartMaxWait(long partMaxWait)`
    `void` | `setPartMaxWaitIsSet(boolean value)`
    `TLockStat` | `setPartNowait(long partNowait)`
    `void` | `setPartNowaitIsSet(boolean value)`
    `TLockStat` | `setPartWait(long partWait)`
    `void` | `setPartWaitIsSet(boolean value)`
    `TLockStat` | `setRegionNowait(long regionNowait)`
    `void` | `setRegionNowaitIsSet(boolean value)`
    `TLockStat` | `setRegionWait(long regionWait)`
    `void` | `setRegionWaitIsSet(boolean value)`
    `TLockStat` | `setRegSize(long regSize)`
    `void` | `setRegSizeIsSet(boolean value)`
    `TLockStat` | `setTableSize(int tableSize)`
    `void` | `setTableSizeIsSet(boolean value)`
    `TLockStat` | `setTxnTimeout(int txnTimeout)`
    `void` | `setTxnTimeoutIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetCurMaxId()`
    `void` | `unsetHashLen()`
    `void` | `unsetId()`
    `void` | `unsetInitlockers()`
    `void` | `unsetInitlocks()`
    `void` | `unsetInitobjects()`
    `void` | `unsetLockers()`
    `void` | `unsetLockersNowait()`
    `void` | `unsetLockersWait()`
    `void` | `unsetLockNowait()`
    `void` | `unsetLocks()`
    `void` | `unsetLocksteals()`
    `void` | `unsetLockTimeout()`
    `void` | `unsetLockWait()`
    `void` | `unsetMaxHlocks()`
    `void` | `unsetMaxHobjects()`
    `void` | `unsetMaxLockers()`
    `void` | `unsetMaxLocks()`
    `void` | `unsetMaxLsteals()`
    `void` | `unsetMaxNlockers()`
    `void` | `unsetMaxNlocks()`
    `void` | `unsetMaxNobjects()`
    `void` | `unsetMaxObjects()`
    `void` | `unsetMaxOsteals()`
    `void` | `unsetNobjects()`
    `void` | `unsetNumDeadlocks()`
    `void` | `unsetNumDowngrade()`
    `void` | `unsetNumLockers()`
    `void` | `unsetNumLockersHit()`
    `void` | `unsetNumLockersReused()`
    `void` | `unsetNumLocks()`
    `void` | `unsetNumLockTimeouts()`
    `void` | `unsetNumModes()`
    `void` | `unsetNumReleases()`
    `void` | `unsetNumRequests()`
    `void` | `unsetNumTxnTimeouts()`
    `void` | `unsetNumUpgrade()`
    `void` | `unsetObjects()`
    `void` | `unsetObjectsteals()`
    `void` | `unsetObjsNowait()`
    `void` | `unsetObjsWait()`
    `void` | `unsetPartitions()`
    `void` | `unsetPartMaxNowait()`
    `void` | `unsetPartMaxWait()`
    `void` | `unsetPartNowait()`
    `void` | `unsetPartWait()`
    `void` | `unsetRegionNowait()`
    `void` | `unsetRegionWait()`
    `void` | `unsetRegSize()`
    `void` | `unsetTableSize()`
    `void` | `unsetTxnTimeout()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### curMaxId

          public int curMaxId

    - #### hashLen

          public int hashLen

    - #### id

          public int id

    - #### initlockers

          public int initlockers

    - #### initlocks

          public int initlocks

    - #### initobjects

          public int initobjects

    - #### lockers

          public int lockers

    - #### lockersNowait

          public long lockersNowait

    - #### lockersWait

          public long lockersWait

    - #### lockNowait

          public long lockNowait

    - #### locks

          public int locks

    - #### locksteals

          public long locksteals

    - #### lockTimeout

          public int lockTimeout

    - #### lockWait

          public long lockWait

    - #### maxHlocks

          public int maxHlocks

    - #### maxHobjects

          public int maxHobjects

    - #### maxLockers

          public int maxLockers

    - #### maxLocks

          public int maxLocks

    - #### maxLsteals

          public long maxLsteals

    - #### maxNlockers

          public int maxNlockers

    - #### maxNlocks

          public int maxNlocks

    - #### maxNobjects

          public int maxNobjects

    - #### maxObjects

          public int maxObjects

    - #### maxOsteals

          public long maxOsteals

    - #### numDeadlocks

          public long numDeadlocks

    - #### numDowngrade

          public long numDowngrade

    - #### numLockers

          public int numLockers

    - #### numLockersHit

          public long numLockersHit

    - #### numLockersReused

          public long numLockersReused

    - #### numLocks

          public int numLocks

    - #### numLockTimeouts

          public long numLockTimeouts

    - #### numModes

          public int numModes

    - #### nobjects

          public int nobjects

    - #### numReleases

          public long numReleases

    - #### numRequests

          public long numRequests

    - #### numTxnTimeouts

          public long numTxnTimeouts

    - #### numUpgrade

          public long numUpgrade

    - #### objects

          public int objects

    - #### objectsteals

          public long objectsteals

    - #### objsNowait

          public long objsNowait

    - #### objsWait

          public long objsWait

    - #### partitions

          public int partitions

    - #### partMaxNowait

          public long partMaxNowait

    - #### partMaxWait

          public long partMaxWait

    - #### partNowait

          public long partNowait

    - #### partWait

          public long partWait

    - #### regionNowait

          public long regionNowait

    - #### regionWait

          public long regionWait

    - #### regSize

          public long regSize

    - #### tableSize

          public int tableSize

    - #### txnTimeout

          public int txnTimeout

    - #### metaDataMap

          public static final java.util.Map<TLockStat._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TLockStat

          public TLockStat()

    - #### TLockStat

          public TLockStat(int curMaxId,
                           int hashLen,
                           int id,
                           int initlockers,
                           int initlocks,
                           int initobjects,
                           int lockers,
                           long lockersNowait,
                           long lockersWait,
                           long lockNowait,
                           int locks,
                           long locksteals,
                           int lockTimeout,
                           long lockWait,
                           int maxHlocks,
                           int maxHobjects,
                           int maxLockers,
                           int maxLocks,
                           long maxLsteals,
                           int maxNlockers,
                           int maxNlocks,
                           int maxNobjects,
                           int maxObjects,
                           long maxOsteals,
                           long numDeadlocks,
                           long numDowngrade,
                           int numLockers,
                           long numLockersHit,
                           long numLockersReused,
                           int numLocks,
                           long numLockTimeouts,
                           int numModes,
                           int nobjects,
                           long numReleases,
                           long numRequests,
                           long numTxnTimeouts,
                           long numUpgrade,
                           int objects,
                           long objectsteals,
                           long objsNowait,
                           long objsWait,
                           int partitions,
                           long partMaxNowait,
                           long partMaxWait,
                           long partNowait,
                           long partWait,
                           long regionNowait,
                           long regionWait,
                           long regSize,
                           int tableSize,
                           int txnTimeout)

    - #### TLockStat

          public TLockStat(TLockStat other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TLockStat deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TLockStat,TLockStat._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TLockStat,TLockStat._Fields>`

    - #### getCurMaxId

          public int getCurMaxId()

    - #### setCurMaxId

          public TLockStat setCurMaxId(int curMaxId)

    - #### unsetCurMaxId

          public void unsetCurMaxId()

    - #### isSetCurMaxId

          public boolean isSetCurMaxId()

      Returns true if field curMaxId is set (has been assigned a value) and false otherwise

    - #### setCurMaxIdIsSet

          public void setCurMaxIdIsSet(boolean value)

    - #### getHashLen

          public int getHashLen()

    - #### setHashLen

          public TLockStat setHashLen(int hashLen)

    - #### unsetHashLen

          public void unsetHashLen()

    - #### isSetHashLen

          public boolean isSetHashLen()

      Returns true if field hashLen is set (has been assigned a value) and false otherwise

    - #### setHashLenIsSet

          public void setHashLenIsSet(boolean value)

    - #### getId

          public int getId()

    - #### setId

          public TLockStat setId(int id)

    - #### unsetId

          public void unsetId()

    - #### isSetId

          public boolean isSetId()

      Returns true if field id is set (has been assigned a value) and false otherwise

    - #### setIdIsSet

          public void setIdIsSet(boolean value)

    - #### getInitlockers

          public int getInitlockers()

    - #### setInitlockers

          public TLockStat setInitlockers(int initlockers)

    - #### unsetInitlockers

          public void unsetInitlockers()

    - #### isSetInitlockers

          public boolean isSetInitlockers()

      Returns true if field initlockers is set (has been assigned a value) and false otherwise

    - #### setInitlockersIsSet

          public void setInitlockersIsSet(boolean value)

    - #### getInitlocks

          public int getInitlocks()

    - #### setInitlocks

          public TLockStat setInitlocks(int initlocks)

    - #### unsetInitlocks

          public void unsetInitlocks()

    - #### isSetInitlocks

          public boolean isSetInitlocks()

      Returns true if field initlocks is set (has been assigned a value) and false otherwise

    - #### setInitlocksIsSet

          public void setInitlocksIsSet(boolean value)

    - #### getInitobjects

          public int getInitobjects()

    - #### setInitobjects

          public TLockStat setInitobjects(int initobjects)

    - #### unsetInitobjects

          public void unsetInitobjects()

    - #### isSetInitobjects

          public boolean isSetInitobjects()

      Returns true if field initobjects is set (has been assigned a value) and false otherwise

    - #### setInitobjectsIsSet

          public void setInitobjectsIsSet(boolean value)

    - #### getLockers

          public int getLockers()

    - #### setLockers

          public TLockStat setLockers(int lockers)

    - #### unsetLockers

          public void unsetLockers()

    - #### isSetLockers

          public boolean isSetLockers()

      Returns true if field lockers is set (has been assigned a value) and false otherwise

    - #### setLockersIsSet

          public void setLockersIsSet(boolean value)

    - #### getLockersNowait

          public long getLockersNowait()

    - #### setLockersNowait

          public TLockStat setLockersNowait(long lockersNowait)

    - #### unsetLockersNowait

          public void unsetLockersNowait()

    - #### isSetLockersNowait

          public boolean isSetLockersNowait()

      Returns true if field lockersNowait is set (has been assigned a value) and false otherwise

    - #### setLockersNowaitIsSet

          public void setLockersNowaitIsSet(boolean value)

    - #### getLockersWait

          public long getLockersWait()

    - #### setLockersWait

          public TLockStat setLockersWait(long lockersWait)

    - #### unsetLockersWait

          public void unsetLockersWait()

    - #### isSetLockersWait

          public boolean isSetLockersWait()

      Returns true if field lockersWait is set (has been assigned a value) and false otherwise

    - #### setLockersWaitIsSet

          public void setLockersWaitIsSet(boolean value)

    - #### getLockNowait

          public long getLockNowait()

    - #### setLockNowait

          public TLockStat setLockNowait(long lockNowait)

    - #### unsetLockNowait

          public void unsetLockNowait()

    - #### isSetLockNowait

          public boolean isSetLockNowait()

      Returns true if field lockNowait is set (has been assigned a value) and false otherwise

    - #### setLockNowaitIsSet

          public void setLockNowaitIsSet(boolean value)

    - #### getLocks

          public int getLocks()

    - #### setLocks

          public TLockStat setLocks(int locks)

    - #### unsetLocks

          public void unsetLocks()

    - #### isSetLocks

          public boolean isSetLocks()

      Returns true if field locks is set (has been assigned a value) and false otherwise

    - #### setLocksIsSet

          public void setLocksIsSet(boolean value)

    - #### getLocksteals

          public long getLocksteals()

    - #### setLocksteals

          public TLockStat setLocksteals(long locksteals)

    - #### unsetLocksteals

          public void unsetLocksteals()

    - #### isSetLocksteals

          public boolean isSetLocksteals()

      Returns true if field locksteals is set (has been assigned a value) and false otherwise

    - #### setLockstealsIsSet

          public void setLockstealsIsSet(boolean value)

    - #### getLockTimeout

          public int getLockTimeout()

    - #### setLockTimeout

          public TLockStat setLockTimeout(int lockTimeout)

    - #### unsetLockTimeout

          public void unsetLockTimeout()

    - #### isSetLockTimeout

          public boolean isSetLockTimeout()

      Returns true if field lockTimeout is set (has been assigned a value) and false otherwise

    - #### setLockTimeoutIsSet

          public void setLockTimeoutIsSet(boolean value)

    - #### getLockWait

          public long getLockWait()

    - #### setLockWait

          public TLockStat setLockWait(long lockWait)

    - #### unsetLockWait

          public void unsetLockWait()

    - #### isSetLockWait

          public boolean isSetLockWait()

      Returns true if field lockWait is set (has been assigned a value) and false otherwise

    - #### setLockWaitIsSet

          public void setLockWaitIsSet(boolean value)

    - #### getMaxHlocks

          public int getMaxHlocks()

    - #### setMaxHlocks

          public TLockStat setMaxHlocks(int maxHlocks)

    - #### unsetMaxHlocks

          public void unsetMaxHlocks()

    - #### isSetMaxHlocks

          public boolean isSetMaxHlocks()

      Returns true if field maxHlocks is set (has been assigned a value) and false otherwise

    - #### setMaxHlocksIsSet

          public void setMaxHlocksIsSet(boolean value)

    - #### getMaxHobjects

          public int getMaxHobjects()

    - #### setMaxHobjects

          public TLockStat setMaxHobjects(int maxHobjects)

    - #### unsetMaxHobjects

          public void unsetMaxHobjects()

    - #### isSetMaxHobjects

          public boolean isSetMaxHobjects()

      Returns true if field maxHobjects is set (has been assigned a value) and false otherwise

    - #### setMaxHobjectsIsSet

          public void setMaxHobjectsIsSet(boolean value)

    - #### getMaxLockers

          public int getMaxLockers()

    - #### setMaxLockers

          public TLockStat setMaxLockers(int maxLockers)

    - #### unsetMaxLockers

          public void unsetMaxLockers()

    - #### isSetMaxLockers

          public boolean isSetMaxLockers()

      Returns true if field maxLockers is set (has been assigned a value) and false otherwise

    - #### setMaxLockersIsSet

          public void setMaxLockersIsSet(boolean value)

    - #### getMaxLocks

          public int getMaxLocks()

    - #### setMaxLocks

          public TLockStat setMaxLocks(int maxLocks)

    - #### unsetMaxLocks

          public void unsetMaxLocks()

    - #### isSetMaxLocks

          public boolean isSetMaxLocks()

      Returns true if field maxLocks is set (has been assigned a value) and false otherwise

    - #### setMaxLocksIsSet

          public void setMaxLocksIsSet(boolean value)

    - #### getMaxLsteals

          public long getMaxLsteals()

    - #### setMaxLsteals

          public TLockStat setMaxLsteals(long maxLsteals)

    - #### unsetMaxLsteals

          public void unsetMaxLsteals()

    - #### isSetMaxLsteals

          public boolean isSetMaxLsteals()

      Returns true if field maxLsteals is set (has been assigned a value) and false otherwise

    - #### setMaxLstealsIsSet

          public void setMaxLstealsIsSet(boolean value)

    - #### getMaxNlockers

          public int getMaxNlockers()

    - #### setMaxNlockers

          public TLockStat setMaxNlockers(int maxNlockers)

    - #### unsetMaxNlockers

          public void unsetMaxNlockers()

    - #### isSetMaxNlockers

          public boolean isSetMaxNlockers()

      Returns true if field maxNlockers is set (has been assigned a value) and false otherwise

    - #### setMaxNlockersIsSet

          public void setMaxNlockersIsSet(boolean value)

    - #### getMaxNlocks

          public int getMaxNlocks()

    - #### setMaxNlocks

          public TLockStat setMaxNlocks(int maxNlocks)

    - #### unsetMaxNlocks

          public void unsetMaxNlocks()

    - #### isSetMaxNlocks

          public boolean isSetMaxNlocks()

      Returns true if field maxNlocks is set (has been assigned a value) and false otherwise

    - #### setMaxNlocksIsSet

          public void setMaxNlocksIsSet(boolean value)

    - #### getMaxNobjects

          public int getMaxNobjects()

    - #### setMaxNobjects

          public TLockStat setMaxNobjects(int maxNobjects)

    - #### unsetMaxNobjects

          public void unsetMaxNobjects()

    - #### isSetMaxNobjects

          public boolean isSetMaxNobjects()

      Returns true if field maxNobjects is set (has been assigned a value) and false otherwise

    - #### setMaxNobjectsIsSet

          public void setMaxNobjectsIsSet(boolean value)

    - #### getMaxObjects

          public int getMaxObjects()

    - #### setMaxObjects

          public TLockStat setMaxObjects(int maxObjects)

    - #### unsetMaxObjects

          public void unsetMaxObjects()

    - #### isSetMaxObjects

          public boolean isSetMaxObjects()

      Returns true if field maxObjects is set (has been assigned a value) and false otherwise

    - #### setMaxObjectsIsSet

          public void setMaxObjectsIsSet(boolean value)

    - #### getMaxOsteals

          public long getMaxOsteals()

    - #### setMaxOsteals

          public TLockStat setMaxOsteals(long maxOsteals)

    - #### unsetMaxOsteals

          public void unsetMaxOsteals()

    - #### isSetMaxOsteals

          public boolean isSetMaxOsteals()

      Returns true if field maxOsteals is set (has been assigned a value) and false otherwise

    - #### setMaxOstealsIsSet

          public void setMaxOstealsIsSet(boolean value)

    - #### getNumDeadlocks

          public long getNumDeadlocks()

    - #### setNumDeadlocks

          public TLockStat setNumDeadlocks(long numDeadlocks)

    - #### unsetNumDeadlocks

          public void unsetNumDeadlocks()

    - #### isSetNumDeadlocks

          public boolean isSetNumDeadlocks()

      Returns true if field numDeadlocks is set (has been assigned a value) and false otherwise

    - #### setNumDeadlocksIsSet

          public void setNumDeadlocksIsSet(boolean value)

    - #### getNumDowngrade

          public long getNumDowngrade()

    - #### setNumDowngrade

          public TLockStat setNumDowngrade(long numDowngrade)

    - #### unsetNumDowngrade

          public void unsetNumDowngrade()

    - #### isSetNumDowngrade

          public boolean isSetNumDowngrade()

      Returns true if field numDowngrade is set (has been assigned a value) and false otherwise

    - #### setNumDowngradeIsSet

          public void setNumDowngradeIsSet(boolean value)

    - #### getNumLockers

          public int getNumLockers()

    - #### setNumLockers

          public TLockStat setNumLockers(int numLockers)

    - #### unsetNumLockers

          public void unsetNumLockers()

    - #### isSetNumLockers

          public boolean isSetNumLockers()

      Returns true if field numLockers is set (has been assigned a value) and false otherwise

    - #### setNumLockersIsSet

          public void setNumLockersIsSet(boolean value)

    - #### getNumLockersHit

          public long getNumLockersHit()

    - #### setNumLockersHit

          public TLockStat setNumLockersHit(long numLockersHit)

    - #### unsetNumLockersHit

          public void unsetNumLockersHit()

    - #### isSetNumLockersHit

          public boolean isSetNumLockersHit()

      Returns true if field numLockersHit is set (has been assigned a value) and false otherwise

    - #### setNumLockersHitIsSet

          public void setNumLockersHitIsSet(boolean value)

    - #### getNumLockersReused

          public long getNumLockersReused()

    - #### setNumLockersReused

          public TLockStat setNumLockersReused(long numLockersReused)

    - #### unsetNumLockersReused

          public void unsetNumLockersReused()

    - #### isSetNumLockersReused

          public boolean isSetNumLockersReused()

      Returns true if field numLockersReused is set (has been assigned a value) and false otherwise

    - #### setNumLockersReusedIsSet

          public void setNumLockersReusedIsSet(boolean value)

    - #### getNumLocks

          public int getNumLocks()

    - #### setNumLocks

          public TLockStat setNumLocks(int numLocks)

    - #### unsetNumLocks

          public void unsetNumLocks()

    - #### isSetNumLocks

          public boolean isSetNumLocks()

      Returns true if field numLocks is set (has been assigned a value) and false otherwise

    - #### setNumLocksIsSet

          public void setNumLocksIsSet(boolean value)

    - #### getNumLockTimeouts

          public long getNumLockTimeouts()

    - #### setNumLockTimeouts

          public TLockStat setNumLockTimeouts(long numLockTimeouts)

    - #### unsetNumLockTimeouts

          public void unsetNumLockTimeouts()

    - #### isSetNumLockTimeouts

          public boolean isSetNumLockTimeouts()

      Returns true if field numLockTimeouts is set (has been assigned a value) and false otherwise

    - #### setNumLockTimeoutsIsSet

          public void setNumLockTimeoutsIsSet(boolean value)

    - #### getNumModes

          public int getNumModes()

    - #### setNumModes

          public TLockStat setNumModes(int numModes)

    - #### unsetNumModes

          public void unsetNumModes()

    - #### isSetNumModes

          public boolean isSetNumModes()

      Returns true if field numModes is set (has been assigned a value) and false otherwise

    - #### setNumModesIsSet

          public void setNumModesIsSet(boolean value)

    - #### getNobjects

          public int getNobjects()

    - #### setNobjects

          public TLockStat setNobjects(int nobjects)

    - #### unsetNobjects

          public void unsetNobjects()

    - #### isSetNobjects

          public boolean isSetNobjects()

      Returns true if field nobjects is set (has been assigned a value) and false otherwise

    - #### setNobjectsIsSet

          public void setNobjectsIsSet(boolean value)

    - #### getNumReleases

          public long getNumReleases()

    - #### setNumReleases

          public TLockStat setNumReleases(long numReleases)

    - #### unsetNumReleases

          public void unsetNumReleases()

    - #### isSetNumReleases

          public boolean isSetNumReleases()

      Returns true if field numReleases is set (has been assigned a value) and false otherwise

    - #### setNumReleasesIsSet

          public void setNumReleasesIsSet(boolean value)

    - #### getNumRequests

          public long getNumRequests()

    - #### setNumRequests

          public TLockStat setNumRequests(long numRequests)

    - #### unsetNumRequests

          public void unsetNumRequests()

    - #### isSetNumRequests

          public boolean isSetNumRequests()

      Returns true if field numRequests is set (has been assigned a value) and false otherwise

    - #### setNumRequestsIsSet

          public void setNumRequestsIsSet(boolean value)

    - #### getNumTxnTimeouts

          public long getNumTxnTimeouts()

    - #### setNumTxnTimeouts

          public TLockStat setNumTxnTimeouts(long numTxnTimeouts)

    - #### unsetNumTxnTimeouts

          public void unsetNumTxnTimeouts()

    - #### isSetNumTxnTimeouts

          public boolean isSetNumTxnTimeouts()

      Returns true if field numTxnTimeouts is set (has been assigned a value) and false otherwise

    - #### setNumTxnTimeoutsIsSet

          public void setNumTxnTimeoutsIsSet(boolean value)

    - #### getNumUpgrade

          public long getNumUpgrade()

    - #### setNumUpgrade

          public TLockStat setNumUpgrade(long numUpgrade)

    - #### unsetNumUpgrade

          public void unsetNumUpgrade()

    - #### isSetNumUpgrade

          public boolean isSetNumUpgrade()

      Returns true if field numUpgrade is set (has been assigned a value) and false otherwise

    - #### setNumUpgradeIsSet

          public void setNumUpgradeIsSet(boolean value)

    - #### getObjects

          public int getObjects()

    - #### setObjects

          public TLockStat setObjects(int objects)

    - #### unsetObjects

          public void unsetObjects()

    - #### isSetObjects

          public boolean isSetObjects()

      Returns true if field objects is set (has been assigned a value) and false otherwise

    - #### setObjectsIsSet

          public void setObjectsIsSet(boolean value)

    - #### getObjectsteals

          public long getObjectsteals()

    - #### setObjectsteals

          public TLockStat setObjectsteals(long objectsteals)

    - #### unsetObjectsteals

          public void unsetObjectsteals()

    - #### isSetObjectsteals

          public boolean isSetObjectsteals()

      Returns true if field objectsteals is set (has been assigned a value) and false otherwise

    - #### setObjectstealsIsSet

          public void setObjectstealsIsSet(boolean value)

    - #### getObjsNowait

          public long getObjsNowait()

    - #### setObjsNowait

          public TLockStat setObjsNowait(long objsNowait)

    - #### unsetObjsNowait

          public void unsetObjsNowait()

    - #### isSetObjsNowait

          public boolean isSetObjsNowait()

      Returns true if field objsNowait is set (has been assigned a value) and false otherwise

    - #### setObjsNowaitIsSet

          public void setObjsNowaitIsSet(boolean value)

    - #### getObjsWait

          public long getObjsWait()

    - #### setObjsWait

          public TLockStat setObjsWait(long objsWait)

    - #### unsetObjsWait

          public void unsetObjsWait()

    - #### isSetObjsWait

          public boolean isSetObjsWait()

      Returns true if field objsWait is set (has been assigned a value) and false otherwise

    - #### setObjsWaitIsSet

          public void setObjsWaitIsSet(boolean value)

    - #### getPartitions

          public int getPartitions()

    - #### setPartitions

          public TLockStat setPartitions(int partitions)

    - #### unsetPartitions

          public void unsetPartitions()

    - #### isSetPartitions

          public boolean isSetPartitions()

      Returns true if field partitions is set (has been assigned a value) and false otherwise

    - #### setPartitionsIsSet

          public void setPartitionsIsSet(boolean value)

    - #### getPartMaxNowait

          public long getPartMaxNowait()

    - #### setPartMaxNowait

          public TLockStat setPartMaxNowait(long partMaxNowait)

    - #### unsetPartMaxNowait

          public void unsetPartMaxNowait()

    - #### isSetPartMaxNowait

          public boolean isSetPartMaxNowait()

      Returns true if field partMaxNowait is set (has been assigned a value) and false otherwise

    - #### setPartMaxNowaitIsSet

          public void setPartMaxNowaitIsSet(boolean value)

    - #### getPartMaxWait

          public long getPartMaxWait()

    - #### setPartMaxWait

          public TLockStat setPartMaxWait(long partMaxWait)

    - #### unsetPartMaxWait

          public void unsetPartMaxWait()

    - #### isSetPartMaxWait

          public boolean isSetPartMaxWait()

      Returns true if field partMaxWait is set (has been assigned a value) and false otherwise

    - #### setPartMaxWaitIsSet

          public void setPartMaxWaitIsSet(boolean value)

    - #### getPartNowait

          public long getPartNowait()

    - #### setPartNowait

          public TLockStat setPartNowait(long partNowait)

    - #### unsetPartNowait

          public void unsetPartNowait()

    - #### isSetPartNowait

          public boolean isSetPartNowait()

      Returns true if field partNowait is set (has been assigned a value) and false otherwise

    - #### setPartNowaitIsSet

          public void setPartNowaitIsSet(boolean value)

    - #### getPartWait

          public long getPartWait()

    - #### setPartWait

          public TLockStat setPartWait(long partWait)

    - #### unsetPartWait

          public void unsetPartWait()

    - #### isSetPartWait

          public boolean isSetPartWait()

      Returns true if field partWait is set (has been assigned a value) and false otherwise

    - #### setPartWaitIsSet

          public void setPartWaitIsSet(boolean value)

    - #### getRegionNowait

          public long getRegionNowait()

    - #### setRegionNowait

          public TLockStat setRegionNowait(long regionNowait)

    - #### unsetRegionNowait

          public void unsetRegionNowait()

    - #### isSetRegionNowait

          public boolean isSetRegionNowait()

      Returns true if field regionNowait is set (has been assigned a value) and false otherwise

    - #### setRegionNowaitIsSet

          public void setRegionNowaitIsSet(boolean value)

    - #### getRegionWait

          public long getRegionWait()

    - #### setRegionWait

          public TLockStat setRegionWait(long regionWait)

    - #### unsetRegionWait

          public void unsetRegionWait()

    - #### isSetRegionWait

          public boolean isSetRegionWait()

      Returns true if field regionWait is set (has been assigned a value) and false otherwise

    - #### setRegionWaitIsSet

          public void setRegionWaitIsSet(boolean value)

    - #### getRegSize

          public long getRegSize()

    - #### setRegSize

          public TLockStat setRegSize(long regSize)

    - #### unsetRegSize

          public void unsetRegSize()

    - #### isSetRegSize

          public boolean isSetRegSize()

      Returns true if field regSize is set (has been assigned a value) and false otherwise

    - #### setRegSizeIsSet

          public void setRegSizeIsSet(boolean value)

    - #### getTableSize

          public int getTableSize()

    - #### setTableSize

          public TLockStat setTableSize(int tableSize)

    - #### unsetTableSize

          public void unsetTableSize()

    - #### isSetTableSize

          public boolean isSetTableSize()

      Returns true if field tableSize is set (has been assigned a value) and false otherwise

    - #### setTableSizeIsSet

          public void setTableSizeIsSet(boolean value)

    - #### getTxnTimeout

          public int getTxnTimeout()

    - #### setTxnTimeout

          public TLockStat setTxnTimeout(int txnTimeout)

    - #### unsetTxnTimeout

          public void unsetTxnTimeout()

    - #### isSetTxnTimeout

          public boolean isSetTxnTimeout()

      Returns true if field txnTimeout is set (has been assigned a value) and false otherwise

    - #### setTxnTimeoutIsSet

          public void setTxnTimeoutIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TLockStat._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TLockStat,TLockStat._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TLockStat._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TLockStat,TLockStat._Fields>`

    - #### isSet

          public boolean isSet(TLockStat._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TLockStat,TLockStat._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TLockStat that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TLockStat other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TLockStat>`

    - #### fieldForId

          public TLockStat._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TLockStat,TLockStat._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.